## openssl 1.0.2e

=== debian/changelog ===
openssl (1.0.2e-1~bpo80+1) jessie-backports; urgency=high

  * build/backport to jessie

 -- Tom Geissler <Tom@d7031.de>  Mon, 21 Dec 2015 07:28:47 +0100

openssl (1.0.2e-1) unstable; urgency=high

  * New upstream release
    - Fix CVE-2015-3193
    - Fix CVE-2015-3194
    - Fix CVE-2015-3195
    - Fix CVE-2015-3196
  * Remove all symlinks during clean
  * Run make depend after configure
  * Remove openssl_button.* from the doc package

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 03 Dec 2015 19:33:05 +0100
