=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: openssl
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, d7031-archive-keyring
+Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Suggests: ca-certificates
 Description: Secure Sockets Layer toolkit - cryptographic utility
  This package is part of the OpenSSL project's implementation of the SSL
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, d7031-archive-keyring
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Secure Sockets Layer toolkit - shared libraries
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
@@ -46,7 +46,7 @@
 Section: debian-installer
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, d7031-archive-keyring
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Secure Sockets Layer toolkit - libcrypto udeb
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
@@ -61,8 +61,7 @@
 Architecture: any
 Multi-Arch: same
 Recommends: libssl-doc
-Depends: libssl1.0.2 (= ${binary:Version}), zlib1g-dev, ${misc:Depends},
-	 d7031-archive-keyring
+Depends: libssl1.0.2 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Description: Secure Sockets Layer toolkit - development files
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
@@ -77,8 +76,7 @@
 Architecture: all
 Replaces: libssl-dev (<< 1.0.0)
 Breaks: libssl-dev (<< 1.0.0)
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
-	 d7031-archive-keyring
+Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Description: Secure Sockets Layer toolkit - development documentation
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
@@ -91,7 +89,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libssl1.0.2 (= ${binary:Version}), ${misc:Depends}, d7031-archive-keyring
+Depends: libssl1.0.2 (= ${binary:Version}), ${misc:Depends}
 Description: Secure Sockets Layer toolkit - debug information
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
