=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Build-Depends: debhelper (>= 9), m4, bc, dpkg-dev (>= 1.15.7)
 Section: utils
 Priority: optional
-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
 Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-openssl/openssl
-Vcs-Svn: svn://anonscm.debian.org/pkg-openssl/openssl/
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-openssl/openssl
+XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-openssl/openssl/
 
 Package: openssl
 Priority: optional
@@ -27,7 +28,7 @@
   * testing SSL/TLS clients and servers;
   * handling S/MIME signed or encrypted mail.
 
-Package: libssl1.0.2
+Package: libssl1.0.0
 Section: libs
 Priority: important
 Architecture: any
@@ -41,7 +42,7 @@
  .
  It provides the libssl and libcrypto shared libraries.
 
-Package: libcrypto1.0.2-udeb
+Package: libcrypto1.0.0-udeb
 XC-Package-Type: udeb
 Section: debian-installer
 Priority: optional
@@ -55,13 +56,24 @@
  It contains a version of the libcrypto shared library for use with the
  Debian Installer. Do not install it on a normal system.
 
+Package: libssl1.0.0-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ssl shared library - udeb
+ libssl shared library.
+ .
+ Do not install it on a normal system.
+
 Package: libssl-dev
 Section: libdevel
 Priority: optional
 Architecture: any
 Multi-Arch: same
 Recommends: libssl-doc
-Depends: libssl1.0.2 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
+Depends: libssl1.0.0 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Description: Secure Sockets Layer toolkit - development files
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
@@ -84,12 +96,12 @@
  .
  It contains manpages and demo files for libssl and libcrypto.
 
-Package: libssl1.0.2-dbg
+Package: libssl1.0.0-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libssl1.0.2 (= ${binary:Version}), ${misc:Depends}
+Depends: libssl1.0.0 (= ${binary:Version}), ${misc:Depends}
 Description: Secure Sockets Layer toolkit - debug information
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
