## openssl 1.0.2l

=== debian/changelog ===
openssl (1.0.2l-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release
    - Properly detect features on the AMD Ryzen processor (Closes: #861145)
  * Refresh valgrind.patch

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 21 Jun 2017 21:42:47 +0200

openssl (1.0.2k-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release
    - Fixes CVE-2017-3731
    - Fixes CVE-2017-3732
    - Fixes CVE-2016-7055
  * Disable internal free list handling without breaking the ABI
    (disable_freelist.patch).
  * Mark RC4 and 3DES as weak which removes them from the SSL/TLS protocol
    (Closes: #736687).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 27 Jan 2017 22:22:13 +0100

openssl (1.0.2j-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release
    - Fixes CVE-2016-7052

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Sep 2016 18:20:20 +0200

openssl (1.0.2i-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream version
    - Fix CVE-2016-2177
    - Fix CVE-2016-2178
    - Fix CVE-2016-2179
    - Fix CVE-2016-2180
    - Fix CVE-2016-2181
    - Fix CVE-2016-2182
    - Fix CVE-2016-2183
    - Fix CVE-2016-6302
    - Fix CVE-2016-6303
    - Fix CVE-2016-6304
    - Fix CVE-2016-6306
  * Remove Fix-name-length-limit-check.patch, applied upstream
  * Drop ca.patch, option is now documented upstream
  * Update engines-path.patch to also update the libcrypto.pc, now that that
    has an enginesdir in it.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 22 Sep 2016 21:28:38 +0200

openssl (1.0.2h-1~bpo8+2) jessie-backports; urgency=medium

  * move the symbols SRP_VBASE_get1_by_user, SRP_user_pwd_free from
    OPENSSL_1.0.2g to OPENSSL_1.0.1s in the version script (Closes: #833328,
    #835090).
  * Enable asm optimisation for s390x. Patch by Dimitri John Ledkov.
    (Closes: #833156).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 22 Aug 2016 21:08:34 +0200

openssl (1.0.2h-1~bpo8+1) jessie-backports; urgency=medium

  * Upload 1.0.2h to jessie backports
  * Use patches from unstable: debian-targets.patch,
    block_digicert_malaysia.patch, block_diginotar.patch,
    c_rehash-compat.patch, debian-targets.patch
  * Remove patches applied upstream: rehash-crt.patch, defaults.patch,
    openssl_fix_for_x32.patch, ppc64el.patch, Update-S-MIME-certificates.patch
  * Use patches before soname change: version-script.patch, engines-path.patch
  * Remove openssl_buttons.* from the docs.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Jul 2016 16:18:33 +0200
